GlueGen: com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter Class Reference

GlueGen v2.6.0-rc-20250822 GlueGen, Native Binding Generator for Java™ (public API).

Public Member Functions | Protected Member Functions | List of all members
com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter Class Reference

Class that emits a generic comment for JavaMethodBindingEmitters; the comment includes the C signature of the native method that is being bound by the emitter java method. More...

Inheritance diagram for com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter:
Collaboration diagram for com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter:

## Public Member Functions

void | emit (final FunctionEmitter emitter, final PrintWriter writer)
| Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters. More...
void | emit (FunctionEmitter funcEmitter, PrintWriter output)
| Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters. More...

## Protected Member Functions

void | emitAliasedDocNamesComment (final AliasedSymbol sym, final PrintWriter writer)
StringBuilder | emitAliasedDocNamesComment (final AliasedSymbol sym, final StringBuilder sb)
void | emitBeginning (final FunctionEmitter emitter, final PrintWriter writer)
void | emitBindingCSignature (final MethodBinding binding, final PrintWriter writer)
void | emitEnding (final FunctionEmitter emitter, final PrintWriter writer)

## Detailed Description

Class that emits a generic comment for JavaMethodBindingEmitters; the comment includes the C signature of the native method that is being bound by the emitter java method.

Definition at line 881 of file JavaMethodBindingEmitter.java.

## Member Function Documentation

## ◆ emit()

void com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter.emit | ( | final FunctionEmitter | funcEmitter,
|  | final PrintWriter | output
| ) |  |

Emit the body of a comment for the specified function; do NOT emit the open (e.g., comment "/*") or close (e.g., "*\/") characters.

Implements com.jogamp.gluegen.CommentEmitter.

Definition at line 903 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ emitAliasedDocNamesComment() [1/2]

void com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter.emitAliasedDocNamesComment | ( | final AliasedSymbol | sym,
|  | final PrintWriter | writer
| ) |  |

protected

Definition at line 882 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitAliasedDocNamesComment() [2/2]

StringBuilder com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter.emitAliasedDocNamesComment | ( | final AliasedSymbol | sym,
|  | final StringBuilder | sb
| ) |  |

protected

Definition at line 885 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:

## ◆ emitBeginning()

void com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter.emitBeginning | ( | final FunctionEmitter | emitter,
|  | final PrintWriter | writer
| ) |  |

protected

Reimplemented in com.jogamp.gluegen.JavaMethodBindingEmitter.InterfaceCommentEmitter, and com.jogamp.gluegen.procaddress.ProcAddressJavaMethodBindingEmitter.WrappedMethodCommentEmitter.

Definition at line 912 of file JavaMethodBindingEmitter.java.

Here is the caller graph for this function:

## ◆ emitBindingCSignature()

void com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter.emitBindingCSignature | ( | final MethodBinding | binding,
|  | final PrintWriter | writer
| ) |  |

protected

Definition at line 915 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ emitEnding()

void com.jogamp.gluegen.JavaMethodBindingEmitter.DefaultCommentEmitter.emitEnding | ( | final FunctionEmitter | emitter,
|  | final PrintWriter | writer
| ) |  |

protected

Definition at line 922 of file JavaMethodBindingEmitter.java.

Here is the call graph for this function:
Here is the caller graph for this function:

The documentation for this class was generated from the following file:

- src/java/com/jogamp/gluegen/JavaMethodBindingEmitter.java